Get transfer status
curl --request GET \
--url https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client} \
--header 'Authorization: Bearer <token>'import requests
url = "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"transactionHash": "<string>",
"status": "SENDING_TO_BLOCKCHAIN_BESU",
"errorMessage": "<string>"
}
]Transfer Management
Transfer
Retrieves the status of a previously initiated token transfer on the blockchain. To use this endpoint, you’ll need the idInClient that was returned by the transfer endpoint when the transfer was initiated. This idInClient allows you to track a specific transfer. The response includes the blockchain transaction hash (if the transfer has been confirmed), the current status of the transfer (e.g., “PENDING”, “DONE”, “FAILED”), and any error messages encountered.
GET
/
v1
/
transfers
/
{id-in-client}
Get transfer status
curl --request GET \
--url https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client} \
--header 'Authorization: Bearer <token>'import requests
url = "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://omnisafe.sandbox.ecrop.de/omni-safe/v1/transfers/{id-in-client}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"transactionHash": "<string>",
"status": "SENDING_TO_BLOCKCHAIN_BESU",
"errorMessage": "<string>"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The client-provided ID of the transfer.